
function numberFormat (number, decimals=' ', dec_point='', thousands_sep=' ')
{

    number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
    var n = !isFinite(+number) ? 0 : +number,
        prec = !isFinite(+decimals) ? 0 : Math.abs(decimals), sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
        dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
        s = '',
        toFixedFix = function (n, prec)
    {
        var k = Math.pow(10, prec);
        return '' + Math.round(n * k) / k;
    };
    // Fix for IE parseFloat(0.55).toFixed(0) = 0;
    s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
    if (s[0].length > 3) {
        s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
    }
    if ((s[1] || '').length < prec) {
        s[1] = s[1] || '';
        s[1] += new Array(prec - s[1].length + 1).join('0');
    }
    return s.join(dec);
}


$(document).ready(function () {
    $('.counter_plus_new , .counter_minus_new').on('click', function (e) {
        var cur_price_vulute = $('.cart').attr('cur_val');
        var product_id = $(this).attr('el_id');
        var action = $(this).attr('action');
        var cur_product = $('.cart_line[data-productid="'+product_id+'"]');
        var cur_quantity = Number($(cur_product).find('.cur-quantity').text());
        var cur_product_price = Number($(cur_product).find('.cur-price').attr('cur-price'));
        var cur_product_price_all = Number($(cur_product).find('.line_summary').attr('summ'));
        var cur_all_price = Number($('.itog_summ').attr('itog_summ'));
        var raznica = cur_all_price - cur_product_price_all;
        function basketChange(action){
            new_quantity = cur_quantity;
            if(action == 'plus'){
                new_quantity = cur_quantity+1;
            }else if(action == 'minus'){
                if(Number(cur_quantity) <= Number(COUNT_ADD_BASKET)){
                    return;
                }
                new_quantity = cur_quantity-1;
            }

            $(cur_product).find('.cur-quantity').text(new_quantity);

            $(cur_product).find('.line_summary').attr('summ', (new_quantity*cur_product_price));
            $(cur_product).find('.summ').html(numberFormat((new_quantity*cur_product_price))+' '+cur_price_vulute);

            $('.itog_summ').attr('itog_summ', (raznica+(new_quantity*cur_product_price)));
            $('.all_price').html(numberFormat(raznica+(new_quantity*cur_product_price))+' '+cur_price_vulute);

        }
        basketChange(action);

            $.ajax({
                    url:'/local/components/acceptsib/basket/ajax.php',
                    type: 'POST',
                    data: {
                        product_id: product_id,
                        id: cur_product.attr('data-id'),
                        quantity: new_quantity,
                        action: action
                    },

                })
                .done(function(data) {
                    if(data == 'done'){
                        basketChange(action);
                    }else if(data == 'quantity_error'){
                        $('.basket_quan_error').addClass('quan-popup-active');
                        $('.quan-popup-active').removeClass('basket_quan_error');

                        basketChange('quan_error');
                    }
                })
        return false;
    });
    $('.basket_del').on('click', function (e) {
        product_id = $(this).attr('el_id')
        $.ajax({
                url:'/local/components/acceptsib/basket/ajax.php',
                type: 'POST',
                data: {
                    product_id: product_id,
                    action: 'del'
                },

            })
            .done(function(data) {
                if(parseInt(data) > 0){
                    $('.itog_summ').attr('itog_summ', data);
                    $('.all_price').html(numberFormat(data)+'<i class="fa fa-rub"></i>');
                    cur_product = $('.cart_line[data-productid="'+product_id+'"]');
                    $('.basket-popup-active').addClass('pp__popup_basket');
                    $('.pp__popup_basket').removeClass('basket-popup-active');
                    $(cur_product).hide('slow', function(){
                        $(this).remove();
                    });
                }else if(data == 'empty'){
                    $('.basket-popup-active').addClass('pp__popup_basket');
                    $('.pp__popup_basket').removeClass('basket-popup-active');
                    $('.cart').hide();
                    $('.basket-empty').show();
                }
            })
        return false;
    });

    $('.line_delete').on('click', function (e) {
        $('.pp__popup_basket').addClass('basket-popup-active');
        $('.basket-popup-active').removeClass('pp__popup_basket');
        $('.basket-popup-active').find('button').attr('el_id', $(this).attr('el_id'))
    });
    $('.close_bas_form').on('click', function (e) {
        $('.basket-popup-active').addClass('pp__popup_basket');
        $('.pp__popup_basket').removeClass('basket-popup-active');

    });
    $('.close_quan_error , .quan_error_ok').on('click', function (e) {
        $('.quan-popup-active').addClass('basket_quan_error');
        $('.basket_quan_error').removeClass('quan-popup-active');
        return false;
    });
});